Write findings for an exception's lines
curl --request PUT \
--url https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"findings": [
{
"note": "<string>",
"record_id": "<string>",
"external_id": "<string>",
"looks_right": false,
"category": "<string>",
"suggestion": {
"kind": "none",
"record_ids": [
"<string>"
],
"reason": "<string>",
"text": "<string>",
"difference_cents": 123
},
"evidence": [
{
"quote": "<string>",
"source": "<string>",
"url": "<string>"
}
],
"precedent": "<string>",
"labels": {}
}
]
}
'import requests
url = "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings"
payload = { "findings": [
{
"note": "<string>",
"record_id": "<string>",
"external_id": "<string>",
"looks_right": False,
"category": "<string>",
"suggestion": {
"kind": "none",
"record_ids": ["<string>"],
"reason": "<string>",
"text": "<string>",
"difference_cents": 123
},
"evidence": [
{
"quote": "<string>",
"source": "<string>",
"url": "<string>"
}
],
"precedent": "<string>",
"labels": {}
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
findings: [
{
note: '<string>',
record_id: '<string>',
external_id: '<string>',
looks_right: false,
category: '<string>',
suggestion: {
kind: 'none',
record_ids: ['<string>'],
reason: '<string>',
text: '<string>',
difference_cents: 123
},
evidence: [{quote: '<string>', source: '<string>', url: '<string>'}],
precedent: '<string>',
labels: {}
}
]
})
};
fetch('https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'findings' => [
[
'note' => '<string>',
'record_id' => '<string>',
'external_id' => '<string>',
'looks_right' => false,
'category' => '<string>',
'suggestion' => [
'kind' => 'none',
'record_ids' => [
'<string>'
],
'reason' => '<string>',
'text' => '<string>',
'difference_cents' => 123
],
'evidence' => [
[
'quote' => '<string>',
'source' => '<string>',
'url' => '<string>'
]
],
'precedent' => '<string>',
'labels' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings"
payload := strings.NewReader("{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"upserted": 123,
"errors": [
{
"index": 123,
"record_id": "<string>",
"external_id": "<string>",
"message": "<string>"
}
]
}Reconciliation Exceptions
Write findings for an exception's lines
Upserts one finding per record of the exception — the note, status and suggested action your reviewers see on each open line. Findings are keyed on (exception, record), so sending the same record again replaces its finding. Up to 1,000 findings per request; each is validated independently and the response lists the rejected ones, so a partial batch still writes. Records already matched by rules do not need findings — write them for the lines that are left.
PUT
/
reconciliation_exceptions
/
{id}
/
findings
Write findings for an exception's lines
curl --request PUT \
--url https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"findings": [
{
"note": "<string>",
"record_id": "<string>",
"external_id": "<string>",
"looks_right": false,
"category": "<string>",
"suggestion": {
"kind": "none",
"record_ids": [
"<string>"
],
"reason": "<string>",
"text": "<string>",
"difference_cents": 123
},
"evidence": [
{
"quote": "<string>",
"source": "<string>",
"url": "<string>"
}
],
"precedent": "<string>",
"labels": {}
}
]
}
'import requests
url = "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings"
payload = { "findings": [
{
"note": "<string>",
"record_id": "<string>",
"external_id": "<string>",
"looks_right": False,
"category": "<string>",
"suggestion": {
"kind": "none",
"record_ids": ["<string>"],
"reason": "<string>",
"text": "<string>",
"difference_cents": 123
},
"evidence": [
{
"quote": "<string>",
"source": "<string>",
"url": "<string>"
}
],
"precedent": "<string>",
"labels": {}
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
findings: [
{
note: '<string>',
record_id: '<string>',
external_id: '<string>',
looks_right: false,
category: '<string>',
suggestion: {
kind: 'none',
record_ids: ['<string>'],
reason: '<string>',
text: '<string>',
difference_cents: 123
},
evidence: [{quote: '<string>', source: '<string>', url: '<string>'}],
precedent: '<string>',
labels: {}
}
]
})
};
fetch('https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'findings' => [
[
'note' => '<string>',
'record_id' => '<string>',
'external_id' => '<string>',
'looks_right' => false,
'category' => '<string>',
'suggestion' => [
'kind' => 'none',
'record_ids' => [
'<string>'
],
'reason' => '<string>',
'text' => '<string>',
'difference_cents' => 123
],
'evidence' => [
[
'quote' => '<string>',
'source' => '<string>',
'url' => '<string>'
]
],
'precedent' => '<string>',
'labels' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings"
payload := strings.NewReader("{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endclose.com/v1/reconciliation_exceptions/{id}/findings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"findings\": [\n {\n \"note\": \"<string>\",\n \"record_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"looks_right\": false,\n \"category\": \"<string>\",\n \"suggestion\": {\n \"kind\": \"none\",\n \"record_ids\": [\n \"<string>\"\n ],\n \"reason\": \"<string>\",\n \"text\": \"<string>\",\n \"difference_cents\": 123\n },\n \"evidence\": [\n {\n \"quote\": \"<string>\",\n \"source\": \"<string>\",\n \"url\": \"<string>\"\n }\n ],\n \"precedent\": \"<string>\",\n \"labels\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"upserted": 123,
"errors": [
{
"index": 123,
"record_id": "<string>",
"external_id": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Maximum array length:
1000Show child attributes
Show child attributes